Package ru.bitel.bgbilling.modules.phone.server.bean

# Class SessionDetail<K>

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.SessionDetail<K>

All Implemented Interfaces:
  `Iterable<K>`

public class SessionDetail<K> extends Object implements Iterable<K>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<K>`
  `list`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SessionDetail()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  `final List<K>`
  `getList()`
  `final bitel.billing.server.util.Iter.BeanNodeList`
  `getSize()`
  `String`
  `getTitle()`
  `BigDecimal`
  `getTotalCost()`
  `String`
  `getTotalCostFormat()`
  `int`
  `getTotalNumber()`
  `int`
  `getTotalTime()`
  `String`
  `getTotalTimeFormat()`
  `String`
  `getTotalTimeFormatSeconds()`
  `String`
  `getTotalTimeMinute()`
  `int`
  `getTotalTimeRound()`
  `String`
  `getTotalTimeRoundFormat()`
  `String`
  `getTotalTimeRoundFormatSeconds()`
  `String`
  `getTotalTimeRoundMinute()`
  `Iterator<K>`
  `iterator()`
  `void`
  `setId(int id)`
  `final void`
  `setList(List<K> list)`
  `final void`
  `setSize(bitel.billing.server.util.Iter.BeanNodeList size)`
  `void`
  `setTitle(String title)`
  `void`
  `setTotalCost(BigDecimal totalCost)`
  `void`
  `setTotalNumber(int totalNumber)`
  `void`
  `setTotalTime(int totalTime)`
  `void`
  `setTotalTimeRound(int totalTimeRound)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Field Details

  - ### list

    protected List<K> list

- ## Constructor Details

  - ### SessionDetail

    public SessionDetail()

- ## Method Details

  - ### getList

    public final List<K> getList()

  - ### setList

    public final void setList(List<K> list)

  - ### getSize

    public final bitel.billing.server.util.Iter.BeanNodeList getSize()

  - ### setSize

    public final void setSize(bitel.billing.server.util.Iter.BeanNodeList size)

  - ### iterator

    public Iterator<K> iterator()
    Specified by:
      `iterator` in interface `Iterable<K>`

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getTotalCost

    public BigDecimal getTotalCost()

  - ### getTotalCostFormat

    public String getTotalCostFormat()

  - ### setTotalCost

    public void setTotalCost(BigDecimal totalCost)

  - ### getTotalNumber

    public int getTotalNumber()

  - ### setTotalNumber

    public void setTotalNumber(int totalNumber)

  - ### getTotalTime

    public int getTotalTime()

  - ### getTotalTimeFormat

    public String getTotalTimeFormat()

  - ### setTotalTime

    public void setTotalTime(int totalTime)

  - ### getTotalTimeRound

    public int getTotalTimeRound()

  - ### getTotalTimeRoundFormat

    public String getTotalTimeRoundFormat()

  - ### getTotalTimeRoundFormatSeconds

    public String getTotalTimeRoundFormatSeconds()

  - ### getTotalTimeFormatSeconds

    public String getTotalTimeFormatSeconds()

  - ### getTotalTimeRoundMinute

    public String getTotalTimeRoundMinute()

  - ### getTotalTimeMinute

    public String getTotalTimeMinute()

  - ### setTotalTimeRound

    public void setTotalTimeRound(int totalTimeRound)